create or replace PROCEDURE ADD_PACIENTE_PROCE_UPDATE
(ID_PACIENTE IN NUMBER,APELLIDO_DE_CASADO_PAC IN VARCHAR2 ,APELLIDO_PAC IN VARCHAR2,
DIRECCION_PAC IN  VARCHAR2,EMAIL_PAC  IN  VARCHAR2,
ESTADO_CIVIL_PAC IN  VARCHAR2,FECHA_NACIMIENTO_PAC IN DATE ,
GENERO_PAC IN  VARCHAR2,NOMBRE_PAC IN  VARCHAR2 ,
NUMERO_IDENTIFICACION IN  VARCHAR2,
RESPONSABLE_POR_EMERGENCIA_PAC IN VARCHAR2,
TELEFONO_PAC IN  VARCHAR2
)
IS
APELLIDO_DE_CASADO_PAC_UP VARCHAR2(1024);
APELLIDO_PAC_UP VARCHAR2(1024);
DIRECCION_PAC_UP VARCHAR2(1024);
EMAIL_PAC_UP  VARCHAR2(1024);
ESTADO_CIVIL_PAC_UP VARCHAR2(1024);
FECHA_NACIMIENTO_PAC_UP DATE ;
GENERO_PAC_UP VARCHAR2(1024);
NOMBRE_PAC_UP VARCHAR2(1024);
NUMERO_IDENTIFICACION_UP VARCHAR2(1024);
RESPONSABLE_EMERGENCIA_PAC_UP VARCHAR2(1024);
TELEFONO_PAC_UP VARCHAR2(1024);
BEGIN
    IF(APELLIDO_DE_CASADO_PAC = NULL ) THEN
    SELECT APELLIDO_DE_CASADO_PAC INTO APELLIDO_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE APELLIDO_DE_CASADO_PAC_UP := APELLIDO_DE_CASADO_PAC; 
    END IF;
    
    IF(APELLIDO_PAC = NULL ) THEN
    SELECT APELLIDO_PAC INTO APELLIDO_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE APELLIDO_PAC_UP := APELLIDO_PAC; 
    END IF;
    
    IF(DIRECCION_PAC = NULL ) THEN
    SELECT DIRECCION_PAC INTO DIRECCION_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE DIRECCION_PAC_UP := DIRECCION_PAC; 
    END IF;
    
    IF(EMAIL_PAC = NULL ) THEN
    SELECT EMAIL_PAC INTO EMAIL_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE EMAIL_PAC_UP := EMAIL_PAC; 
    END IF;

    IF(ESTADO_CIVIL_PAC = NULL ) THEN
    SELECT ESTADO_CIVIL_PAC INTO ESTADO_CIVIL_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE ESTADO_CIVIL_PAC_UP := ESTADO_CIVIL_PAC; 
    END IF;
    
    IF(FECHA_NACIMIENTO_PAC = NULL ) THEN
    SELECT FECHA_NACIMIENTO_PAC INTO FECHA_NACIMIENTO_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE FECHA_NACIMIENTO_PAC_UP := FECHA_NACIMIENTO_PAC; 
    END IF;
    
    IF(GENERO_PAC = NULL ) THEN
    SELECT GENERO_PAC INTO GENERO_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE GENERO_PAC_UP := GENERO_PAC; 
    END IF;
    
    IF(NOMBRE_PAC = NULL ) THEN
    SELECT NOMBRE_PAC INTO NOMBRE_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE NOMBRE_PAC_UP := NOMBRE_PAC; 
    END IF;
    
    IF(NUMERO_IDENTIFICACION = NULL ) THEN
    SELECT NUMERO_IDENTIFICACION INTO NUMERO_IDENTIFICACION_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE NUMERO_IDENTIFICACION_UP := NUMERO_IDENTIFICACION; 
    END IF;
    
    IF(RESPONSABLE_POR_EMERGENCIA_PAC = NULL ) THEN
    SELECT RESPONSABLE_POR_EMERGENCIA_PAC INTO RESPONSABLE_EMERGENCIA_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE RESPONSABLE_EMERGENCIA_PAC_UP := RESPONSABLE_POR_EMERGENCIA_PAC; 
    END IF;
    
    IF(TELEFONO_PAC = NULL ) THEN
    SELECT TELEFONO_PAC INTO TELEFONO_PAC_UP FROM PACIENTE WHERE ID_PACIENTE = ID_PACIENTE;
    ELSE TELEFONO_PAC_UP := TELEFONO_PAC_UP; 
    END IF;


    ----UPDATE
    UPDATE  PACIENTE 
    SET  APELLIDO_DE_CASADO_PAC = APELLIDO_DE_CASADO_PAC_UP, 
    APELLIDO_PAC = APELLIDO_PAC_UP,
    DIRECCION_PAC = DIRECCION_PAC_UP,
    EMAIL_PAC = EMAIL_PAC_UP,
    ESTADO_CIVIL_PAC = ESTADO_CIVIL_PAC_UP,
    FECHA_NACIMIENTO_PAC = FECHA_NACIMIENTO_PAC_UP,
    GENERO_PAC = GENERO_PAC_UP,
    NOMBRE_PAC = NOMBRE_PAC_UP,
    NUMERO_IDENTIFICACION = NUMERO_IDENTIFICACION_UP,
    RESPONSABLE_POR_EMERGENCIA_PAC = RESPONSABLE_EMERGENCIA_PAC_UP
    WHERE ID_PACIENTE = ID_PACIENTE;
    COMMIT;

   -- INSERT INTO PACIENTE 
   -- (APELLIDO_DE_CASADO_PAC,APELLIDO_PAC,DIRECCION_PAC,EMAIL_PAC,ESTADO_CIVIL_PAC,FECHA_NACIMIENTO_PAC,
   -- GENERO_PAC,NOMBRE_PAC,NUMERO_IDENTIFICACION,RESPONSABLE_POR_EMERGENCIA_PAC,TELEFONO_PAC)

   -- VALUES (APELLIDO_DE_CASADO_PAC,APELLIDO_PAC,DIRECCION_PAC,EMAIL_PAC,ESTADO_CIVIL_PAC,FECHA_NACIMIENTO_PAC,
  --  GENERO_PAC,NOMBRE_PAC,NUMERO_IDENTIFICACION,RESPONSABLE_POR_EMERGENCIA_PAC,TELEFONO_PAC)
   -- ;
END;